> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/compute/bmc/vpc/describevpcavailableregions.md).

# DescribeVpcAvailableRegions

## 1. 接口描述

本接口(DescribeVpcAvailableRegions)用于本接口用于查询支持VPC组网的节点区域信息。

{% hint style="info" %}
**注意事项**

* 可能会注意到VPC节点ID有诸如`LAX2` 和 `LAX2_2.0,`这个原因是当前节点内的可用区属于不同的网络架构，目前无法做到内网子网间互通，故分拆成了不同的VPC节点。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称        | 必选 | 类型     | 描述        |
| ----------- | -- | ------ | --------- |
| zoneId      | 否  | String | 所属的可用区ID。 |
| vpcRegionId | 否  | String | VPC的节点ID。 |

## 3. 响应结果

| 参数名称         | 类型                                                                                     | 描述                                                       |
| ------------ | -------------------------------------------------------------------------------------- | -------------------------------------------------------- |
| requestId    | String                                                                                 | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| vpcRegionSet | Array of [VpcRegionInfo](/api-reference/cn/compute/bmc/datastructure.md#vpcregioninfo) | VpcRegionInfo结果集。                                        |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 查询vpcRegionId为SIN3下的可用区ID**

```json
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeVpcAvailableRegions
Request:
{
  "vpcRegionId": "SIN3"
}
Response:
{
  "requestId": "TAB1B2BEB-9FC9-4D19-82E5-175ECA8CE8A7",
  "response": {
    "requestId": "TAB1B2BEB-9FC9-4D19-82E5-175ECA8CE8A7",
    "vpcRegionSet": [
      {
        "vpcRegionName": "SIN-A_B",
        "zoneIds": [
          "SIN-A",
          "SIN-B"
        ],
        "vpcRegionId": "SIN3"
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                       | 说明         |
| ------- | ------------------------- | ---------- |
| 404     | INVALID\_ZONE\_NOT\_FOUND | 指定的可用区不存在。 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/bmc/vpc/describevpcavailableregions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
